Subject: bug#69738: closed (Re: bug#69738: [BUG] rmail-mail-new-frame doesn't delete the new frame after composing the message on Emacs 29.2)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 21 Mar 2024 08:59:02 +0000

Your bug report

#69738: [BUG] rmail-mail-new-frame doesn't delete the new frame after composing the message on Emacs 29.2

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69738: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69738
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69738: [BUG] rmail-mail-new-frame doesn't delete the new frame after composing the message on Emacs 29.2
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 21 Mar 2024 10:57:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Tue, 12 Mar 2024 15:54:47 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Mon, 11 Mar 2024 22:49:54 +0000
> > From: [email-masked]
> > 
> > For brevity I don't include the steps for C-c nor for C-s but only for 
> > C-d and C-k; but I can assure you that the case of C-c would yield the 
> > same result; I wonder what the desired result would be for C-s instead.
> > 
> > Steps to reproduce:
> > 
> > emacs -Q -nw
> > M-: (setq rmail-mail-new-frame t)
> > M-x rmail
> > m
> > C-c C-d
> > 
> > alternatively, use C-c C-k on the last line.
> > 
> > Expected result:
> > The frame is deleted (as the manual specifies at the end of 34.10).
> > 
> > Actual result:
> > The frame is not deleted.
> 
> It's a documentation bug: that frame is deleted only if certain
> conditions are met.  One of those conditions is that there are
> visible frames on display besides the frame where the message was
> composed.  In the -nw session, that condition is not met.  See
> rmail-mail-return for more details about what is actually being done
> in each case.
> 
> IOW: this is a feature, and (IMO) a reasonable one at that, it just
> needs a better documentation.

I've now made the documentation more accurate (on the emacs-29
branch), and I'm therefore closing this bug.

Subject: [BUG] rmail-mail-new-frame doesn't delete the new frame after composing the message on Emacs 29.2
From: [email-masked]
To: [email-masked]
Date: Mon, 11 Mar 2024 22:49:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

For brevity I don't include the steps for C-c nor for C-s but only for 
C-d and C-k; but I can assure you that the case of C-c would yield the 
same result; I wonder what the desired result would be for C-s instead.

Steps to reproduce:

emacs -Q -nw
M-: (setq rmail-mail-new-frame t)
M-x rmail
m
C-c C-d

alternatively, use C-c C-k on the last line.

Expected result:
The frame is deleted (as the manual specifies at the end of 34.10).

Actual result:
The frame is not deleted.